Index: LMDZ6/trunk/libf/phylmdiso/fisrtilp.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/fisrtilp.F90	(revision 4650)
+++ LMDZ6/trunk/libf/phylmdiso/fisrtilp.F90	(revision 4651)
@@ -20,5 +20,5 @@
   USE icefrac_lsc_mod ! compute ice fraction (JBM 3/14)
   USE print_control_mod, ONLY: prt_level, lunout
-  USE cloudth_mod 
+  USE lmdz_cloudth, only : cloudth, cloudth_v3, cloudth_v6
   USE ioipsl_getin_p_mod, ONLY : getin_p
   USE phys_local_var_mod, ONLY: ql_seri,qs_seri
@@ -31,4 +31,7 @@
   USE lscp_ini_mod, ONLY: cld_tau_lsc, cld_tau_con, cld_lc_lsc, cld_lc_con
   USE lscp_ini_mod, ONLY: reevap_ice, iflag_bergeron, iflag_fisrtilp_qsat, iflag_pdf 
+      use phys_output_var_mod, ONLY : cloudth_sth,cloudth_senv
+      use phys_output_var_mod, ONLY : cloudth_sigmath,cloudth_sigmaenv
+
 
 
@@ -1124,10 +1127,14 @@
                    zq,zqta,fraca, &
                    qcloud,ctot,zpspsk,paprs,pplay,ztla,zthl, &
-                   ratqs,zqs,t)
+                   ratqs,zqs,t, &
+                   cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
+
               elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) then
                call cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
                    qcloud,ctot,ctot_vol,zpspsk,paprs,pplay,ztla,zthl, &
-                   ratqs,zqs,t)
+                   ratqs,zqs,t, &
+                   cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
+
               !----------------------------------
               !Version these Jean Jouhaud, Decembre 2018 
@@ -1137,5 +1144,7 @@
                    zq,zqta,fraca, &
                    qcloud,ctot,ctot_vol,zpspsk,paprs,pplay,ztla,zthl, &
-                   ratqs,zqs,t)
+                   ratqs,zqs,t, &
+                   cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
+
 
               endif
Index: LMDZ6/trunk/libf/phylmdiso/lmdz_cloudth.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/lmdz_cloudth.F90	(revision 4651)
+++ LMDZ6/trunk/libf/phylmdiso/lmdz_cloudth.F90	(revision 4651)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cloudth.F90
Index: LMDZ6/trunk/libf/phylmdiso/lmdz_cloudth_ini.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/lmdz_cloudth_ini.F90	(revision 4651)
+++ LMDZ6/trunk/libf/phylmdiso/lmdz_cloudth_ini.F90	(revision 4651)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_cloudth_ini.F90
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 4650)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 4651)
@@ -87,4 +87,6 @@
     USE lmdz_ratqs_main, ONLY : ratqs_main
     USE lmdz_ratqs_ini, ONLY : ratqs_ini
+    USE phys_output_var_mod, ONLY :      cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv
+
 
     !USE cmp_seri_mod
@@ -1919,5 +1921,5 @@
    &    RG,RD,RCPD,RKAPPA,RLVTT,RETV)
        CALL ratqs_ini(klon,klev,iflag_thermals,lunout,nbsrf,is_lic,is_ter,RG,RV,RD,RCPD,RLSTT,RLVTT,RTT)
-       CALL lscp_ini(pdtphys,ok_ice_sursat,RCPD, RLSTT, RLVTT, RLMLT, RVTMP2, RTT,RD,RG)
+       CALL lscp_ini(pdtphys,ok_ice_sursat,iflag_ratqs,RCPD, RLSTT, RLVTT, RLMLT, RVTMP2, RTT,RD,RG)
        CALL blowing_snow_ini(prt_level,lunout, &
                              RCPD, RLSTT, RLVTT, RLMLT, &
@@ -4808,5 +4810,7 @@
          iflag_ice_thermo, ok_ice_sursat, zqsatl, zqsats, distcltop, temp_cltop, &
          qclr, qcld, qss, qvc, rnebclr, rnebss, gamma_ss, &
-         Tcontr, qcontr, qcontr2, fcontrN, fcontrP )
+         Tcontr, qcontr, qcontr2, fcontrN, fcontrP , &
+         cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
+
 
     ELSE
